<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('gurus', function (Blueprint $table) {
            $table->id();
            $table->string('nama');                 // Nama lengkap guru
            $table->string('nip')->unique();        // Nomor Induk Pegawai
            $table->string('mata_pelajaran');       // Mata pelajaran yang diampu
            $table->text('alamat');                 // Alamat guru
            $table->enum('jenis_kelamin', ['Laki-laki', 'Perempuan']);
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('gurus');
    }
};